using System.Collections.Generic;

namespace GxPress.Request.Department
{
    /// <summary>
    /// 部门排序
    /// </summary>
    public class DepartmentSortRequest
    {
        /// <summary>
        /// 移动到的位置
        /// </summary>
        /// <value></value>
        public int RemoveId { get; set; }
        /// <summary>
        /// 起始位置
        /// </summary>
        /// <value></value>
        public int StartId { get; set; }
    }
    /// <summary>
    /// 部门人员
    /// </summary>
    public class DepartmentUserRequest
    {
        /// <summary>
        /// 部门ID
        /// </summary>
        public int DepartmentId { get; set; }
        /// <summary>
        /// 来源部门ID
        /// </summary>
        public int SourceDepartmentId { get; set; }
        /// <summary>
        /// 排除的用户ID
        /// </summary>
        /// <value></value>
        public List<int> UserIds { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public DepartmentUserRequest()
        {
            UserIds = new List<int>();
        }
        /// <summary>
        /// 是否显示
        /// </summary>
        /// <value></value>
        public bool IsShow { get; set; }
    }
}
