using System;

namespace GxPress.Result.User
{
    /// <summary>
    /// 用户登录结果
    /// </summary>
    public class UserSignInResult
    {
        /// <summary>
        /// 用户id
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 部门Id
        /// </summary>
        public int DepartmentId { get; set; }

        /// <summary>
        /// token
        /// </summary>
        public TokenResult Token { get; set; }

        public UserResult User { get; set; }
        public Entity.User UserEntity { get; set; }
        /// <summary>
        /// 是否新增用户
        /// </summary>
        /// <value></value>
        public bool IsAddUser { get; set; }
    }
}