using Datory;
using Datory.Annotations;

namespace GxPress.Entity.Topic
{
    /// <summary>
    /// 话题的分析包含了 收藏 点赞 转发 评论点赞
    /// </summary>
    [DataTable("tede_topic_analyze")]
   public class TopicAnalyze:Datory.Entity
    {
        /// <summary>
        /// 话题ID
        /// </summary>
        [DataColumn]
        public int TopicId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        [DataColumn]
        public int TopicCommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 话题点赞,2话题评论点赞,3话题收藏,4话题转发)
        /// </summary>
        [DataColumn]
        public int AnalyzeType { get; set; }
    }
}
